package com.itko.lisa.ext.citi.assertion;

import org.w3c.dom.Element;

import com.itko.lisa.vse.SharedModelMap;
import com.itko.lisa.test.Assertion;
import com.itko.lisa.test.TestDefException;
import com.itko.lisa.test.TestExec;
import com.itko.util.ParameterList;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class FileLockAssertion extends Assertion {

	private static final long serialVersionUID = 8021132245228317083L;
	
	public static final Log fileLockLogger = LogFactory.getLog(FileLockAssertion.class.getName());
	
	@Override
	protected boolean evaluate(TestExec testExec, Object result) {
		String filename = (String) testExec.getStateObject("fl_fileName");
		boolean locked = false;
		
		synchronized(this) {
			if (SharedModelMap.get(filename) == null)
			{    
				SharedModelMap.put(filename, filename);
				locked = true;
			}
		}
		
		return locked;
	}
	
	@Override
	public ParameterList getCustomParameters() {
		ParameterList params = new ParameterList();
		return params;
	}

	@Override
	public void initialize(Element e) throws TestDefException {

	}

	public String getTypeName() throws Exception {
		return "File Lock Assertion";
	}

}
