package com.itko.lisa.ext.citi.util;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.ConcurrentHashMap;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.itko.util.XMLUtils;

public class GlobalHashMap
{
    /** Logger. */
    static private final Log LOG = LogFactory.getLog(GlobalHashMap.class);

    private static ConcurrentHashMap<String, Object> _map = new ConcurrentHashMap<String, Object>();

    private GlobalHashMap()
    {
    }

    public static void put(String key, Object value)
    {
        _map.put(key, value);
    }

    public static Object get(String key)
    {
        return _map.get(key);
    }

    public static void reset()
    {
        _map.clear();
    }
    
    public static void remove(String key)
    {
    	_map.remove(key);
    }

    public static String inspect()
    {
        StringBuilder buf = new StringBuilder();
        for (String k : _map.keySet())
        {
            StringBuilder vBuf = new StringBuilder();
            Object o = _map.get(k);
            if (o.getClass() == java.lang.String[].class)
            {
                vBuf.append("{");
                String[] array = (String[]) o;
                for (int i = 0; i < array.length; i++)
                {
                    vBuf.append(array[i]);
                    if (i < array.length - 1) vBuf.append(", ");
                }
                vBuf.append("}");
            }

            buf.append(k).append(" => ").append(vBuf).append("\r\n");
        }
        return buf.toString();
    }
}
